package ru.micord.ervu.kafka.model;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import ru.micord.ervu.security.esia.model.AddressModel;
import ru.micord.ervu.security.esia.model.ContactModel;

/**
 * @author Eduard Tihomirov
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class OrgInfo implements Serializable {

  private static final long serialVersionUID = 1L;

  private String orgOid;

  private String orgFullName;

  private String orgShortName;

  private String orgType;

  private String inn;

  private String ogrn;

  private String orgTypeLeg;

  private String orgTypeName;

  private String kpp;

  private AddressModel[] addresses;

  private ContactModel[] contacts;

  private Long staffCount;

  private Long branchesCount;

  private Brhs[] brhs;

  private Boolean isLiquidated;

  private Employee chiefInfo;

  private Employee senderInfo;

  private String orgAgencyTerRange;

  private String orgAgencyType;

  public String getOrgOid() {
    return orgOid;
  }

  public void setOrgOid(String orgOid) {
    this.orgOid = orgOid;
  }

  public String getOrgFullName() {
    return orgFullName;
  }

  public void setOrgFullName(String orgFullName) {
    this.orgFullName = orgFullName;
  }

  public String getOrgShortName() {
    return orgShortName;
  }

  public void setOrgShortName(String orgShortName) {
    this.orgShortName = orgShortName;
  }

  public String getInn() {
    return inn;
  }

  public void setInn(String inn) {
    this.inn = inn;
  }

  public String getOgrn() {
    return ogrn;
  }

  public void setOgrn(String ogrn) {
    this.ogrn = ogrn;
  }

  public String getOrgTypeLeg() {
    return orgTypeLeg;
  }

  public void setOrgTypeLeg(String orgTypeLeg) {
    this.orgTypeLeg = orgTypeLeg;
  }

  public String getOrgTypeName() {
    return orgTypeName;
  }

  public void setOrgTypeName(String orgTypeName) {
    this.orgTypeName = orgTypeName;
  }

  public String getKpp() {
    return kpp;
  }

  public void setKpp(String kpp) {
    this.kpp = kpp;
  }

  public String getOrgType() {
    return orgType;
  }

  public void setOrgType(String orgType) {
    this.orgType = orgType;
  }

  public Long getStaffCount() {
    return staffCount;
  }

  public void setStaffCount(Long staffCount) {
    this.staffCount = staffCount;
  }

  public Long getBranchesCount() {
    return branchesCount;
  }

  public void setBranchesCount(Long branchesCount) {
    this.branchesCount = branchesCount;
  }

  public Brhs[] getBrhs() {
    return brhs;
  }

  public void setBrhs(Brhs[] brhs) {
    this.brhs = brhs;
  }

  public Boolean getLiquidated() {
    return isLiquidated;
  }

  public void setLiquidated(Boolean liquidated) {
    isLiquidated = liquidated;
  }

  public AddressModel[] getAddresses() {
    return addresses;
  }

  public void setAddresses(AddressModel[] addresses) {
    this.addresses = addresses;
  }

  public ContactModel[] getContacts() {
    return contacts;
  }

  public void setContacts(ContactModel[] contacts) {
    this.contacts = contacts;
  }

  public Employee getChiefInfo() {
    return chiefInfo;
  }

  public void setChiefInfo(Employee chiefInfo) {
    this.chiefInfo = chiefInfo;
  }

  public Employee getSenderInfo() {
    return senderInfo;
  }

  public void setSenderInfo(Employee senderInfo) {
    this.senderInfo = senderInfo;
  }

  public String getOrgAgencyTerRange() {
    return orgAgencyTerRange;
  }

  public void setOrgAgencyTerRange(String orgAgencyTerRange) {
    this.orgAgencyTerRange = orgAgencyTerRange;
  }

  public String getOrgAgencyType() {
    return orgAgencyType;
  }

  public void setOrgAgencyType(String orgAgencyType) {
    this.orgAgencyType = orgAgencyType;
  }
}
